matrix:
  platform:
    - debian11
    - ubuntu2204
    - macos
    - macos_arm64
    - windows
  bazel:
    - 7.x
    - 8.x
    - 9.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - '@emsdk//hello-world:hello-world-wasm'
      - '@emsdk//hello-world:hello-world-wasm-simd'
bcr_test_module:
  module_path: test_external
  matrix:
    platform:
    - debian11
    - ubuntu2204
    - macos
    - macos_arm64
    - windows
    bazel:
    - 7.x
    - 8.x
    - 9.x
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
      - //:hello-world-wasm
      - //long_command_line:long_command_line_wasm
